Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommStrategy.ReceiveThread

    java.lang.Object
      java.lang.Thread
          ix.iserve.ipc.IServeCommStrategy.ReceiveThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  IServeCommStrategy

     class IServeCommStrategy.ReceiveThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`(package private) boolean` | `keepRunning`
`(package private) MessageWrapper` | `message`
`(package private) java.lang.String` | `ourName`
`(package private) HttpObjectClient` | `receiveClient`
`(package private) java.util.concurrent.CountDownLatch` | `started`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`IServeCommStrategy.ReceiveThread()`

Method Summary
`void` | `awaitStart()`
`(package private) void` | `handleMessage(MessageWrapper message)`
`(package private) MessageWrapper` | `nextMessage(MessageWrapper previous)`
`void` | `run()`
`void` | `stopRunning()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### receiveClient

    final HttpObjectClient receiveClient

### ourName

    final java.lang.String ourName

### started

    final java.util.concurrent.CountDownLatch started

### keepRunning

    volatile boolean keepRunning

### message

    MessageWrapper message

Constructor Detail

### IServeCommStrategy.ReceiveThread

    IServeCommStrategy.ReceiveThread()

Method Detail

### awaitStart

    public void awaitStart()
                    throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### stopRunning

    public void stopRunning()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### nextMessage

    MessageWrapper nextMessage(MessageWrapper previous)

### handleMessage

    void handleMessage(MessageWrapper message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD